> ## Documentation Index
> Fetch the complete documentation index at: https://docs.saleleads.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Posts

> Search Posts



## OpenAPI

````yaml /api-reference/openapi.json get /api/v1/search/posts
openapi: 3.1.0
info:
  title: Linkedin Scraper API
  description: Linkedin Scraper API Documentation
  version: 1.0.0
servers:
  - url: https://fresh-linkedin-scraper-api.p.rapidapi.com
    description: RapiAPI
security: []
paths:
  /api/v1/search/posts:
    get:
      tags:
        - Search
      summary: Search Posts
      description: Search Posts
      operationId: getApiV1SearchPosts
      parameters:
        - in: query
          name: keyword
          schema:
            type: string
          required: true
        - in: query
          name: page
          schema:
            type: integer
            exclusiveMinimum: 0
            description: Page number for pagination
            default: 1
            example: 1
          required: false
        - in: query
          name: date_posted
          schema:
            type: string
            enum:
              - past_month
              - past_week
              - past_24h
            description: Filter by date posted
            example: past_week
          required: false
        - in: query
          name: sort_by
          schema:
            type: string
            enum:
              - date_posted
              - relevance
            description: Sort posts by criteria
            example: relevance
          required: false
        - in: query
          name: content_type
          schema:
            type: string
            enum:
              - videos
              - photos
              - jobs
              - live_videos
              - documents
              - collaborative_articles
            description: Filter by type of content
            example: videos
          required: false
        - in: query
          name: from_member
          schema:
            type: string
            description: Filter by member, separate by comma
            example: >-
              ACoAAAh09F8BdCO0Oo5R9_sH8-xuXN6TwaXqGTs,ACoAAAOnueQBiDRKsJRbPyxIrAvU7lbsIYtC7E8
          required: false
        - in: query
          name: from_company
          schema:
            type: string
            description: Filter by company, separate by comma
            example: 10649600,10649601
          required: false
        - in: query
          name: limit
          schema:
            type: number
            maximum: 50
            description: Limit the number of posts to return
            example: 10
          required: false
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  cost:
                    type: number
                    description: Cost of the request
                    example: 1
                  total:
                    type: number
                    description: Total number of posts
                    example: 500
                  has_more:
                    type: boolean
                    description: Whether there are more posts to fetch
                    example: true
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          description: Post ID
                          example: '7312451872932401152'
                        url:
                          type: string
                          description: Post URL
                          example: >-
                            https://www.linkedin.com/feed/update/urn:li:activity:7312451872932401152
                        title:
                          type: string
                          description: Post Title
                          example: What started as a brand initiative turned...
                        created_at:
                          type: string
                          description: Post creation date
                          example: 16m
                        activity:
                          type: object
                          properties:
                            num_likes:
                              type: number
                              description: Number of Likes
                              example: 100
                            num_comments:
                              type: number
                              description: Number of Comments
                              example: 50
                            num_shares:
                              type: number
                              description: Number of Shares
                              example: 20
                            reaction_counts:
                              type: array
                              items:
                                type: object
                                properties:
                                  type:
                                    type: string
                                    description: Reaction Type
                                    example: LIKE
                                  count:
                                    type: number
                                    description: Reaction Count
                                    example: 10
                          required:
                            - reaction_counts
                          description: Post Activity
                        author:
                          type: object
                          properties:
                            id:
                              type: string
                              description: Author ID
                              example: '457051511'
                            name:
                              type: string
                              description: Author name
                              example: Raz Widrich
                            description:
                              type: string
                              description: Author description
                              example: Brand at Euno ♡
                            url:
                              type: string
                              description: Author profile URL
                              example: >-
                                https://www.linkedin.com/in/ACoAABs-DXcBA_sZPEUp5JPnJo45wS1nKggFgXg
                            avatar:
                              type: array
                              items:
                                type: object
                                properties:
                                  width:
                                    type: number
                                    description: Logo width
                                    example: 400
                                  height:
                                    type: number
                                    description: Logo height
                                    example: 400
                                  url:
                                    type: string
                                    description: Logo URL
                                    example: >-
                                      https://media.licdn.com/dms/image/v2/D4E0BAQHjelLY2a-Mnw/company-logo_400_400/company-logo_400_400/0/1666083635765?e=1748476800&v=beta&t=V_T_yXL6Bs2HDEY-iZAKSkNype7_-7USjP2HIXo0Zv8
                                  expires_at:
                                    type: number
                                    description: Logo expires at
                                    example: 1748476800000
                              description: Author avatar
                          description: Post author
                    description: Search Posts
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Bad request
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: >-
                      Invalid API key. Go to https://docs.rapidapi.com/docs/keys
                      for more info.
        '403':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: You are not subscribed to this API.
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: 'Request failed with status 500: Internal Server Error'
                  status_code:
                    type: number
                    example: 500
                  cost:
                    type: number
                    example: 0
                  explain:
                    type: string
                    example: >-
                      Oops, it looks like there was an issue processing your
                      request. Don't worry, you won't be charged for this
                      request. If you need any help, don't hesitate to contact
                      us via email hello@saleleads.ai or telegram
                      https://t.me/saleleads
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-rapidapi-key
      description: Rapid API Key

````